apiVersion: org.eclipse.che/v2
kind: CheCluster
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"org.eclipse.che/v2","kind":"CheCluster","metadata":{"annotations":{},"name":"devspaces","namespace":"openshift-devspaces"},"spec":{"components":{"devWorkspace":{"runningLimit":"1000"}},"containerRegistry":{"hostname":"${INTERNAL_REGISTRY_URL}"},"devEnvironments":{},"gitServices":{},"networking":{}}}
  resourceVersion: '1680696'
  name: devspaces
  uid: b41c0e82-4e59-42a5-9e7a-a4d3b3df4469
  creationTimestamp: '2022-11-03T08:22:54Z'
  generation: 2
  managedFields:
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
        'f:spec':
          .: {}
          'f:components':
            .: {}
            'f:cheServer':
              .: {}
              'f:debug': {}
              'f:logLevel': {}
            'f:database':
              .: {}
              'f:credentialsSecretName': {}
              'f:externalDb': {}
              'f:postgresDb': {}
              'f:postgresHostName': {}
              'f:postgresPort': {}
              'f:pvc':
                .: {}
                'f:claimSize': {}
            'f:devWorkspace':
              .: {}
              'f:runningLimit': {}
            'f:metrics':
              .: {}
              'f:enable': {}
          'f:containerRegistry': {}
          'f:devEnvironments':
            .: {}
            'f:defaultComponents': {}
            'f:defaultEditor': {}
            'f:defaultNamespace':
              .: {}
              'f:autoProvision': {}
              'f:template': {}
            'f:disableContainerBuildCapabilities': {}
            'f:secondsOfInactivityBeforeIdling': {}
            'f:secondsOfRunBeforeIdling': {}
            'f:storage':
              .: {}
              'f:pvcStrategy': {}
          'f:gitServices': {}
          'f:networking':
            .: {}
            'f:auth':
              .: {}
              'f:gateway':
                .: {}
                'f:configLabels':
                  .: {}
                  'f:app': {}
                  'f:component': {}
      manager: kubectl-client-side-apply
      operation: Update
      time: '2022-11-03T08:22:54Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:containerRegistry':
            'f:hostname': {}
      manager: Mozilla
      operation: Update
      time: '2022-11-03T11:08:52Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            'v:"consolelink.finalizers.che.eclipse.org"': {}
        'f:status':
          'f:chePhase': {}
          'f:cheURL': {}
          'f:cheVersion': {}
          'f:gatewayPhase': {}
          'f:workspaceBaseDomain': {}
      manager: manager
      operation: Update
      time: '2022-11-03T11:18:40Z'
  namespace: openshift-devspaces
  finalizers:
    - checluster.che.eclipse.org
    - cheGateway.clusterpermissions.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
    - dashboard.clusterpermissions.finalizers.che.eclipse.org
    - consolelink.finalizers.che.eclipse.org
spec:
  components:
    cheServer:
      debug: false
      logLevel: INFO
    dashboard: {}
    database:
      credentialsSecretName: postgres-credentials
      externalDb: false
      postgresDb: dbche
      postgresHostName: postgres
      postgresPort: '5432'
      pvc:
        claimSize: 1Gi
    devWorkspace:
      runningLimit: '1000'
    devfileRegistry: {}
    imagePuller:
      enable: false
      spec: {}
    metrics:
      enable: true
    pluginRegistry: {}
  containerRegistry:
    hostname: 'ec2-3-142-194-185.us-east-2.compute.amazonaws.com:5000'
  devEnvironments:
    defaultComponents:
      - container:
          image: >-
            registry.redhat.io/devspaces/udi-rhel8@sha256:04435bb72d5906cc70435860641acfa6af3aac10eece8bffe9b1c488d55588b2
          sourceMapping: /projects
        name: universal-developer-image
    defaultEditor: che-incubator/che-code/insiders
    defaultNamespace:
      autoProvision: true
      template: <username>-devspaces
    disableContainerBuildCapabilities: true
    secondsOfInactivityBeforeIdling: 1800
    secondsOfRunBeforeIdling: -1
    storage:
      pvcStrategy: per-user
  gitServices: {}
  networking:
    auth:
      gateway:
        configLabels:
          app: che
          component: che-gateway-config
status:
  chePhase: Active
  cheURL: 'https://devspaces.apps.ds-airgap-v11.crw-qe.com'
  cheVersion: 3.3.0
  devfileRegistryURL: 'https://devspaces.apps.ds-airgap-v11.crw-qe.com/devfile-registry'
  gatewayPhase: Established
  pluginRegistryURL: 'https://devspaces.apps.ds-airgap-v11.crw-qe.com/plugin-registry/v3'
  postgresVersion: '13.7'
  workspaceBaseDomain: apps.ds-airgap-v11.crw-qe.com
